#!/bin/sh
append DRIVERS "mt7615e2"

. /lib/wifi/ralink_common.sh

prepare_mt7615e2() {
	prepare_ralink_wifi mt7615e2
}

scan_mt7615e2() {
	scan_ralink_wifi mt7615e2 mt7615e
}

disable_mt7615e2() {
	iwpriv rax0 set hw_nat_register=0
	disable_ralink_wifi mt7615e2
}

enable_mt7615e2() {
	enable_ralink_wifi mt7615e2 mt7615e
	iwpriv rax0 set hw_nat_register=0
}

detect_mt7615e2() {
#	detect_ralink_wifi mt7602e mt76x2e
	ssid=k2p-`ifconfig eth0 | grep HWaddr | cut -c 51- | sed 's/://g'`
	cd  /sys/module/
	[ -d $module ] || return
        [ -e /etc/config/wireless ] && return
         cat <<EOF
config wifi-device      mt7615e2
        option type     mt7615e2
        option vendor   ralink
        option band     2.4G
        option channel  0
        option autoch   2
	option autoch_skip "12;13"
	option region 1
	option country CN
	option wifimode 9
	option bw 1
	option ht_bsscoexist 0
        option g256qam  1
        option noforward 0
	option ApCliEnable 0

config wifi-iface
        option device   mt7615e2
        option ifname   rax0
        option network  lan
        option mode     ap
        option ssid     $ssid
        option encryption none
	option hidden 0
	option disabled 0
	option txbf 0

EOF

}


